> ## Name

> tex2DARRAYproj - performs a texture lookup with projection in a given sampler array.

> ## Synopsis

>     float4 tex2DARRAYproj(sampler2DARRAY samp, float4 s)
>     float4 tex2DARRAYproj(sampler2DARRAY samp, float4 s, int texelOff)

>     int4 tex2DARRAYproj(isampler2DARRAY samp, float4 s)
>     int4 tex2DARRAYproj(isampler2DARRAY samp, float4 s, int texelOff)

>     unsigned int4 tex2DARRAYproj(usampler2DARRAY samp, float4 s)
>     unsigned int4 tex2DARRAYproj(usampler2DARRAY samp, float4 s, int texelOff)

> ## Parameters

> samp
>   Sampler array to lookup.
> s.xy
>   Coordinates to perform the lookup.
> s.z
>   The layer within the array.
> s.w
>   The value to use for the projection.
> texelOff
>   Offset to be added to obtain the final texel.

> ## Description

> Performs a texture lookup in sampler array samp using coordinates s.xy, on the selected layer s.z using the given projection s.w. The coordinates are projected, that is, divided by the projection value before being used in the lookup.

> ## Profile Support

> tex2DARRAYproj is only supported in gp4 and newer profiles.

> ## See Also

> tex2D, tex2Dproj